python3-module-scikits.sparse-0.4.2-alt2.1.1.x86_64.rpm


Advertisement

Description

python3-module-scikits.sparse - Scikits sparse matrix package

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename python3-module-scikits.sparse-0.4.2-alt2.1.1.x86_64.rpm
Package name python3-module-scikits.sparse
Package version 0.4.2
Package release alt2.1.1
Package architecture x86_64
Package type rpm
Category Development/Python3
Homepage -
License -
Maintainer -
Download size 851.19 KB
Installed size 851.19 KB
This is a home for sparse matrix code in Python that plays well with
scipy.sparse, but that is somehow unsuitable for inclusion in scipy
proper. Usually this will be because it is released under the GPL.
So far we have a wrapper for the CHOLMOD library for sparse cholesky
decomposition.

Alternatives

Package Version Architecture Repository
python3-module-scikits.sparse-0.4.2-alt2.1.1.i586.rpm 0.4.2 i586 Classic
python3-module-scikits.sparse - - -

Requires

Name Value
/usr/lib64/python3/site-packages -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcholmod.so.3()(64bit) -
libpython3.6m.so.1.0()(64bit) -
python3(json) < 0
python3(numpy) < 0
python3(scipy) < 0
python3(sksparse) < 0
python3.6-ABI(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
python3(scikits.sparse) -
python3(sksparse) -
python3(sksparse._version) -
python3(sksparse.cholmod) -
python3-module-scikits.sparse = 0.4.2-alt2.1.1
python3.3(scikits.sparse) -
python3.3(sksparse) -
python3.3(sksparse._version) -
python3.3(sksparse.cholmod) -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package python3-module-scikits.sparse-0.4.2-alt2.1.1.x86_64.rpm
Source Package python-module-scikits.sparse-0.4.2-alt2.1.1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python3-module-scikits.sparse rpm package:
    # sudo apt-get install python3-module-scikits.sparse

Files

Path
/usr/lib64/python3/site-packages/scikit_sparse-0.4.2-py3.6.egg-info/PKG-INFO
/usr/lib64/python3/site-packages/scikit_sparse-0.4.2-py3.6.egg-info/SOURCES.txt
/usr/lib64/python3/site-packages/scikit_sparse-0.4.2-py3.6.egg-info/dependency_links.txt
/usr/lib64/python3/site-packages/scikit_sparse-0.4.2-py3.6.egg-info/requires.txt
/usr/lib64/python3/site-packages/scikit_sparse-0.4.2-py3.6.egg-info/top_level.txt
/usr/lib64/python3/site-packages/sksparse/__init__.py
/usr/lib64/python3/site-packages/sksparse/_version.py
/usr/lib64/python3/site-packages/sksparse/cholmod.cpython-36m.so
/usr/lib64/python3/site-packages/sksparse/__pycache__/__init__.cpython-36.opt-1.pyc
/usr/lib64/python3/site-packages/sksparse/__pycache__/__init__.cpython-36.opt-2.pyc
/usr/lib64/python3/site-packages/sksparse/__pycache__/__init__.cpython-36.pyc
/usr/lib64/python3/site-packages/sksparse/__pycache__/_version.cpython-36.opt-1.pyc
/usr/lib64/python3/site-packages/sksparse/__pycache__/_version.cpython-36.opt-2.pyc
/usr/lib64/python3/site-packages/sksparse/__pycache__/_version.cpython-36.pyc
/usr/share/doc/python3-module-scikits.sparse-0.4.2/README.md
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/.buildinfo
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/changes.html
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/cholmod.html
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/genindex.html
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/index.html
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/objects.inv
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/overview.html
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/py-modindex.html
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/search.html
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/searchindex.js
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_sources/changes.rst.txt
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_sources/cholmod.rst.txt
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_sources/index.rst.txt
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_sources/overview.rst.txt
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/ajax-loader.gif
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/alabaster.css
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/basic.css
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/comment-bright.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/comment-close.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/comment.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/doctools.js
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/down-pressed.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/down.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/file.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/jquery-3.1.0.js
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/jquery.js
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/minus.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/plus.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/pygments.css
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/searchtools.js
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/underscore-1.3.1.js
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/underscore.js
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/up-pressed.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/up.png
/usr/share/doc/python3-module-scikits.sparse-0.4.2/html/_static/websupport.js

Changelog

2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 0.4.2-alt2.1.1
- (NMU) Rebuilt with python-3.6.4.
2018-02-02 - Stanislav Levin <slev@altlinux.org> 0.4.2-alt2.1
- (NMU) Fix Requires and BuildRequires to python-setuptools
2017-10-20 - Aleksei Nikiforov <darktemplar@altlinux.org> 0.4.2-alt2
- Fixed version in egg-info.
2017-08-21 - Aleksei Nikiforov <darktemplar@altlinux.org> 0.4.2-alt1
- Updated to upstream version 0.4.2.
- Updated build dependencies.
2017-07-12 - Aleksei Nikiforov <darktemplar@altlinux.org> 0.2-alt2.dev.git20140718.1.2
- Rebuilt with new libsuitesparse
2016-03-17 - Ivan Zakharyaschev <imz@altlinux.org> 0.2-alt2.dev.git20140718.1.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
(for ABI dependence and new python3(*) reqs)
2016-01-28 - Mikhail Efremov <sem@altlinux.org> 0.2-alt2.dev.git20140718.1
- NMU: Use buildreq for BR.
2015-04-28 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2-alt2.dev.git20140718
- Rebuilt with updated NumPy
2015-03-21 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2-alt1.dev.git20140718
- Initial build for Sisyphus

See Also

Package Description
python3-module-scikits.sparse-tests-0.4.2-alt2.1.1.x86_64.rpm Tests for scikits.sparse
python3-module-scikits.statsmodels-0.8.0-alt1.1.x86_64.rpm Statistical computations and models for use with SciPy
python3-module-scikits.statsmodels-tests-0.8.0-alt1.1.x86_64.rpm Tests for scikits.statsmodels
python3-module-scikits.vectorplot-0.2-alt2.git20150130.1.1.1.x86_64.rpm Vector fields plotting algorithms
python3-module-scipy-1.2.0-alt3.x86_64.rpm SciPy is the library of scientific codes (Python 3)
python3-module-scipy-devel-1.2.0-alt3.x86_64.rpm Development files of SciPy (Python 3)
python3-module-scipy-tests-1.2.0-alt3.x86_64.rpm Tests and examples for SciPy (Python 3)
python3-module-scrypt-0.8.6-alt1.x86_64.rpm Bindings for the scrypt key derivation function library
python3-module-selenium-3.0.2-alt2.1.x86_64.rpm Python bindings for Selenium
python3-module-selinux-2.9-alt1.x86_64.rpm Python 3.x module for libselinux
python3-module-semanage-2.9-alt1.x86_64.rpm Python module for libsemanage
python3-module-seqlearn-0.2-alt2.1.x86_64.rpm Sequence learning toolkit for Python
python3-module-seqlearn-tests-0.2-alt2.1.x86_64.rpm Tests for seqlearn
python3-module-setools-4.2.1-alt1.x86_64.rpm Python bindings for SELinux policy analysis
python3-module-setproctitle-1.1.10-alt1.1.1.x86_64.rpm A library to allow customization of the process title
Advertisement
Advertisement